## class OSGUTIL_EXPORT osgUtil::DisplayRequirementsVisitor

> A visitor for traversing a scene graph establishing the OpenGL visuals are required to support rendering of that scene graph.

## Inheritance:

### Public Methods

DisplayRequirementsVisitor()
  Default to traversing all children, and reqiresDoubleBuffer, requiresRGB and requiresDepthBuffer to true and with alpha and stencil off
inline void setDisplaySettings(osg::DisplaySettings* ds)
  Set the DisplaySettings.
inline const osg::DisplaySettings* getDisplaySettings() const
  Get the DisplaySettings
virtual void applyStateSet(osg::StateSet& stateset)
virtual void apply(osg::Node& node)
virtual void apply(osg::Geode& geode)
virtual void apply(osg::Impostor& impostor)

### Protected Fields

osg::ref_ptr<osg::DisplaySettings> _ds

## Documentation

> A visitor for traversing a scene graph establishing the OpenGL visuals are required to support rendering of that scene graph. The results can then be used by applications to set up there windows with the correct visuals. Have a look at src/osgGLUT/Viewer.cpp's Viewer::open() method for an example how to use it.

`DisplayRequirementsVisitor()`
  Default to traversing all children, and reqiresDoubleBuffer, requiresRGB and requiresDepthBuffer to true and with alpha and stencil off

`inline void setDisplaySettings(osg::DisplaySettings* ds)`
  Set the DisplaySettings.

`inline const osg::DisplaySettings* getDisplaySettings() const`
  Get the DisplaySettings

`virtual void applyStateSet(osg::StateSet& stateset)`

`virtual void apply(osg::Node& node)`

`virtual void apply(osg::Geode& geode)`

`virtual void apply(osg::Impostor& impostor)`

`osg::ref_ptr<osg::DisplaySettings> _ds`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.